Ubuntu

Kernel panic on install on amd64

Reported by Joe on 2006-07-25
54
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Rodney Gordon II

Bug Description

I'm attempting to install Ubuntu server 6.06 on an amd64 machine, dual-opteron server with 2GB ECC RAM, SiI software SATA raid driver, Tyan K8SD-Pro motherboard.

As soon as I select the #1 option to install to the hard disk, I get a kernel panic. This occurs after the dialog "Loading Linux Kernel" proceeds to 100%. While proceeding to 100%, I get a couple of lines of display corruption, and then the panic:

PANIC: early exception rip ffffffff8046c58d error 0 cr2 3440
PANIC: early exception rip ffffffff8011e35a error 0 cr2 ffffffffff5fd023

I've tried setting: acpi=off noapic nolapic, and this results in a changed panic message (just one line, don't have the message handy).

If more hardware specs or the second panic message are required I'm happy to supply. I've tried disabling ACPI in the BIOS, and thats about the extent of what I know to try given the crypticness of the panic message and this being my first attempted Linux install. Given its a fairly popular motherboard and pretty vanilla setup, I haven't tried any further tweaking, as a) I don't think it should be required (installers should be robust, or at least provide a pointer to whats going wrong w/o requiring kernel sources etc), and b) the above doesn't offer even a slight bit of guidance as to what the problem might be (if it even hinted at *whats* causing the panic I might be tempted to try further rather than finding the needle in the proverbial haystack).

I've tried the alternate install CD in text mode too, exactly the same results. A pretty bad first exposure to Ubuntu unfortunately but I'd like to persevere given my colleagues reports of their very good experiences and my need for a fast JDK on AMD64.

Joe (joe-shevland) wrote :

Minor update, Gentoo (install-amd64-minimal-2006.0.iso) works fine on the same hardware and I'll remain with that.

Andrew Ash (ash211) wrote :

Ok then. If you'd like to help get Ubuntu working correctly on your hardware (if Edgy doesn't already) feel free to keep following up with this bug report. Thanks for your contribution.

OK happy to help out, and no, the Edgy server install freezes after the
menu also when it gets to a dark greyish screen.

What can I help with in terms of diagnostics? I've flashed the BIOS with
the latest Tyan drivers - its a Tyan K8SD Pro, with dual Opteron. i386
is working fine for the time being. Forgotten where I submitted this bug
report to be honest.

Cheers
Joe

Andrew Ash wrote:
> Ok then. If you'd like to help get Ubuntu working correctly on your
> hardware (if Edgy doesn't already) feel free to keep following up with
> this bug report. Thanks for your contribution.
>
> ** Changed in: Ubuntu
> Status: Unconfirmed => Rejected
>
>

Joe (joe-shevland) wrote :

There's no panic message on the blank screen it locks up on either, so I'll have to be guided as to what I can do now. Same results with noapic acpi=off etc.

Andrew Ash (ash211) wrote :

I'm not really sure what extra information to ask for either. I'm going to see if the AMD64 porting team has something that can be of use.

Changed in linux-source-2.6.17:
assignee: nobody → ubuntu-amd64
Jean-Baptiste Lallement (jibel) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering is this still an issue for you? Can you try with latest Ubuntu release? Thanks in advance.

Jean-Baptiste Lallement (jibel) wrote :

We are closing this bug report because it lacks the information we need to investigate the problem, as described in the previous comments. Please reopen it if you can give us the missing information, and don't hesitate to submit bug reports in the future. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks again!

Changed in linux-source-2.6.17:
status: Incomplete → Invalid
Joe (joe-shevland) wrote :
  • unnamed Edit (1.3 KiB, text/html; charset=ISO-8859-1)

OK; I'll try and test the latest image out on the server when I get a chance
and re-open if required or update.

Cheers
Joe

On Thu, Jun 26, 2008 at 6:31 AM, Jean-Baptiste Lallement <
<email address hidden>> wrote:

> We are closing this bug report because it lacks the information we need
> to investigate the problem, as described in the previous comments.
> Please reopen it if you can give us the missing information, and don't
> hesitate to submit bug reports in the future. To reopen the bug report
> you can click on the current status, under the Status column, and change
> the Status back to "New". Thanks again!
>
> ** Changed in: linux-source-2.6.17 (Ubuntu)
> Status: Incomplete => Invalid
>
> --
> Kernel panic on install on amd64
> https://bugs.launchpad.net/bugs/54020
> You received this bug notification because you are a direct subscriber
> of the bug.
>

crazydrclaw (james-eracks) wrote :

I'm having the exact same problem on a dual Opteron with both 8.04 desktop and server. Let me know what information you need and I'll do my best to provide it.

crazydrclaw (james-eracks) wrote :

I'm having exactly the same probem with both 8.04 desktop and server. Whatever information you need, let me know and I'll post it!

Changed in linux-source-2.6.17:
status: Invalid → New

Thank you for taking the time to report this bug and helping to make Ubuntu better.

Please include the following additional information, (pay attention to lspci's additional options), as required by the Ubuntu Kernel Team:
1. Please include the output of the command "uname -a" in your next response. It should be one, long line of text which includes the exact kernel version you're running, as well as the CPU architecture.
2. Please run the command "dmesg > dmesg.log" after a fresh boot and attach the resulting file "dmesg.log" to this bug report.
3. Please run the command "sudo lspci -vvnn > lspci-vvnn.log" and attach the resulting file "lspci-vvnn.log" to this bug report.

For your reference, the full description of procedures for kernel-related bug reports is available at https://wiki.ubuntu.com/KernelTeamBugPolicies Thanks in advance!

Changed in linux-source-2.6.17:
status: New → Incomplete
crazydrclaw (james-eracks) wrote :

If it were possible for me to boot in the first place, I'd gladly provide the information you request ;) As it is, this bug prevents the kernel from booting, so there's no way for me to give you this information (aside from booting up a Gentoo LiveCD, which appears to work; of course, you'd get information about Gentoo's kernel instead of Ubuntu's, which probably wouldn't be very helpful.)

crazydrclaw (james-eracks) wrote :

Well, it looks like our company ended up RMA'ing the board for credit before I could test this board further, so unfortunately, I won't be able to provide further information. Sorry :(

Joe (joe-shevland) wrote :

Same boat, I wasn't able to boot beyond whats described. I've attached the two files though from the following release:

  Linux archon 2.6.22-14-server #1 SMP Tue Feb 12 08:27:05 UTC 2008 i686 GNU/Linux

For whats its worth.

Cheers
Joe

Joe (joe-shevland) wrote :

Second attachment now.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

aka47 (andy-kirbyand) wrote :

Ok guys.

I get pretty much the similar.

At boot up you get the initial menu and when you choose any of either the install or live options you get a message claiming he Kernel is live and then the machine reboots.

Using the following downloaded install CD's

Ubuntu Hardy AMD64, 8.04.1, Desktop, Standard
Ubuntu Hardy AMD64, 8.04.1, Desktop, Alternative
Ubuntu Intrepid AMD64, Alpha5, Desktop, Standard.

The machine is a Samsung R560 Core 2 Duo Processor, Notebook.

The atempts with Intrepid are just about the same, except you get an aditional message after the kernel is live saying the kernel is realy alive, then reboots......

I386 seems to boot up OK.

As it is a 64 bit machine though I would realy like to use 64 bit and could do with it for 64bit vmware machines.

Daniel T Chen (crimsun) on 2008-09-17
Changed in linux:
importance: Undecided → Medium
status: Incomplete → Confirmed
Karn Kallio (kkallio) wrote :

Similar problem installing Kubuntu Intrepid Ibex Alpha 6 Alternate

Hardware
cpu : Intel Q6600
motherboard : Intel DP35DP

Installer runs without problems, no error messages.

Then on reboot after install, some LILO messages flash by and then these messages:

Kernel alive
Kernel really alive
PANIC : early exception 0e rip 10:ffffffff8022d581 error 0 cr2 ffffffffff5fc0f0

and the system hangs.

Looking in System.map-2.6.27-3-generic we find the line
ffffffff8022d580 t native_apic_read

so I tried setting noapic nolapic as boot parameters, with the same result.

Rodney Gordon II (meff) wrote :

This exact error happens to me, also:

cpu: Intel Q6600
mobo: ASUS P5QL-PRO

kernel alive
kernel really alive
PANIC: early exception ......

I'm at a loss of what to do.

Intrepid Beta.

Rodney Gordon II (meff) wrote :
Rodney Gordon II (meff) wrote :

Linux ghreen 2.6.26-1-amd64 #1 SMP Wed Oct 1 11:14:14 UTC 2008 x86_64 GNU/Linux

Rodney Gordon II (meff) wrote :

My post regarding this bug to LKML:
http://lkml.org/lkml/2008/10/16/13

Rodney Gordon II (meff) wrote :

More information from earlyprintk:

( e820 maps scrolled mostly off screen )
console [earlyvga0] enabled
last_pfn = 0x140000 max_arch_pfn=0x3ffffffff
last_pfn = 0xbff80 max_arch_pfn=0x3ffffffff

init_memory_mapping
last_map_addr: bff80000 end: bff80000
init_memory_mapping
last_map_addr: 140000000 end: 140000000

DMI present.

PANIC: early exception 0e rip 10:ffffffff8072 error 0 cr2 ffffffffff341000

Pid: 0
comm: swapper Not Tainted 2.6.27.1 #3

Call trace:
[<ffffffff80b52195>] early_idt_handler+0x55/0x69
[<ffffffff8072c099>] dmi_table+0x45/0x77
[<ffffffff8072c0a2>] dmi_table+0x4e/0x77
[<ffffffff80b79db4>] dmi_scan_machine+0x12e/0x19c
[<ffffffff80b58d58>] setup_arch+0x555/0x4dc
[<ffffffff80b5285e>] start_kernel+0x5f/0x2dd
[<ffffffff80b52393>] x86_64_start_kernel+0xe3/0xe7

RIP 0x10

Rodney Gordon II (meff) wrote :

FIXED via 2.6.27.2
http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.27.2

commit d344a53f2e264ea07c950691c1451a4ff355694b
Author: Alan Cox <email address hidden>
Date: Sun Oct 12 19:40:08 2008 +0000

    x86, early_ioremap: fix fencepost error

    commit c613ec1a7ff3714da11c7c48a13bab03beb5c376 upstream

    The x86 implementation of early_ioremap has an off by one error. If we get
    an object which ends on the first byte of a page we undermap by one page and
    this causes a crash on boot with the ASUS P5QL whose DMI table happens to fit
    this alignment.

    The size computation is currently

     last_addr = phys_addr + size - 1;
     npages = (PAGE_ALIGN(last_addr) - phys_addr)

    (Consider a request for 1 byte at alignment 0...)

    Closes #11693

    Debugging work by Ian Campbell/Felix Geyer

    Signed-off-by: Alan Cox <email address hidden>
    Signed-off-by: Ingo Molnar <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>

The same problem happens when I install the beta version of Ubuntu 8.10. I did an installation yesterday (19 of October 2008) and my hardware is:

Mainboard - Asus P5QL Pro
CPU - Core 2 Quad Q9300 - 2.50 GHz

It seems like this problem touches Asus P5QL Pro mainboard ...

I'm also having the same problem with Ubuntu 8.10 Beta. My hardware is as follows:

CPU - Core 2 Duo E8400
Motherboard - Asus P5QL Pro

By the way why is this bug only classes as medium importance? Surely this should be of high importance as its kernel panic error?

Welcome on the board, StuTheBearded. It seems like our motherboard is something very unlucky in terms of Linux :) I tried to install:

Ubuntu (both 32 and 64 bit) - failed with kernel panic
Debian (both 32 and 64 bit) - failed to recognize sata cdrom
Gentoo (both) - failed at early installation
Mandriva - also failed with weird error

The only one distribution with was okay for me is - Fedora. But I have no sound and network card recognized. So I need to struggle compilation process for atl1 driver :(

The only reason why I install Intrepid was because I didn't have gfx support with my X1900 with 8.04 and now i've upgraded my CPU I don't have linux at all now. Is there anyway around this or any fixes on the way because at the moment I'm using my WindowXP x64 install which I use for gaming I don't want to be using windows full time again. :(

I have noticed there is a new bios on the Asus website I don't know if that would affect anything to do with the panic.

Interesting how you got Debian to run though but didn't recognise your sata cdrom though, I shoudn't have any such problems as I'm running a standard IDE cdrom, did it detect your sata hdd's?

aka47 (andy-kirbyand) wrote :

A quick update

I can still only boot the Samsung R560 with AMD64 if I use the acpi=off
boot parameter (only using this one at the moment, I do try it without
after each new update).

I have applied all the patches and updates that come down from the usual
ubuntu amd64 repositories and the problem remains very much present.

Side effects are:-

Ubuntu cannot detect the power state of the Laptop and always show it as AC
powered even when it is'nt.

Changing anything that might cause power state change notifications
immediately reboots the PC for example.

If you start the laptop on battery then plug in AC power, bosh....
If you start the laptop on AC power then unplug the AC power to move the
laptop, bosh....
If you try to use any of the Laptop special function keys (screen
brightnes, external monitor etc), bosh....

Use the laptop on battery and you risk it failing on you without notice.

Boot up also randomly crashes, or repeatedly sounds the console bell
(beeps) for an extended period until a loading driver initializes something
and it stops. (a right royal pain booting up a laptop in a silent study
area)

All in all extremely disappointing for laptop users with samsung 64 bit
laptops who want to run 64 bit Ubuntu Intrepid.

Hi Everyone,

Rodney made a comment earlier (https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/54020/comments/24) that this should be resolved with a patch that went into the upstream 2.6.27.2 stable kernel. The final Intrepid kernel was rebased with the upstream 2.6.27.2 kernel so it should contain this patch. Can you confirm if this is still an issue with the final Intrepid kernel? Please post the output of 'cat /proc/version_signature' to verify you are running the latest kernel. If the issue still exists, can you take a digital photo of the kernel panic you are seeing and attach it to this bug repot? Thanks.

aka47 (andy-kirbyand) wrote :

Leann

Thanks for looking into this.

The output of the cat is :-
Ununtu 2.6.27.7.16-generic

I still have the problem that if I remove acpi=off from the boot parameters
the system reboots during boot up. (pretty soon after it starts to boot
whilst the screen is black)

There is no visible panic it just reboots, ergo nothing to take a picture
of. sorry.

Put in acpi=off and it boots fine but any attempt to do thing that change
power states (plug/unplug PSU from laptop, use special function keys to
change screen brightness) causes an immediate reboot.

It doesn't shut down in an orderly way, it immediately reboots and you get
the manufacturers post screen.

You can get the same effect by running a laptop without a battery and
turning the power off then back on again.

As it does this so suddenly and is a full reboot there is nothing in the
logs that could help.

Cheers

Andy Kirby

PS I can confirm that windows XP and Vista both work fine.

"Leann Ogasawara" <email address hidden> wrote:
> Hi Everyone,
>
> Rodney made a comment earlier
>
(https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/54020/comments/24)
> that this should be resolved with a patch that went into the upstream
> 2.6.27.2 stable kernel. The final Intrepid kernel was rebased with the
> upstream 2.6.27.2 kernel so it should contain this patch. Can you
> confirm if this is still an issue with the final Intrepid kernel?
> Please post the output of 'cat /proc/version_signature' to verify you
> are running the latest kernel. If the issue still exists, can you take
> a digital photo of the kernel panic you are seeing and attach it to this
> bug repot? Thanks.
>
> --
> Kernel panic on install on amd64
> https://bugs.launchpad.net/bugs/54020
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Yusef Maali (usef) wrote :

I'm having a similar problem with the Intel D945GCLF (Atom 230, em64t capable).

Trying to boot some amd64 ubuntu (intrepid) distributions (ubuntu dektop/server, server netboot and kubuntu), I get an early kernel panic (it is an hard lock).
I have tried a lot of possible kernel parameters: acpi=off, acpi=ht, acpi=noirq, noapic, nolapic, pci=nommconf, irqpoll
None of them brings me to complete the boot.

With the x86 kernel things work as expected.

Moreover I've tried the amd64 debian kernel (the one shipped with the netboot install for etch) and it works!
(http://ftp.nl.debian.org/debian/dists/etch/main/installer-amd64/current/images/netboot/netboot.tar.gz)
debian kernel works, ubuntu kernel don't.

If you need more hardware informations I can take them from an x86 installation, because the x86_64 doesn't boot in any way.

Thanks.
Yusef Maali

Yusef Maali (usef) wrote :

I have just tested also netboot kernel of hardy server and intrepid server (the one inside 20080522ubuntu21 directory).
They works correctly; the second needs a "acpi=off" as kernel parameter otherwise the boot finish with a kernel panic.
The other two netboot kernel of intrepid version (20080522ubuntu22 and 20080522ubuntu23) doesn't work.

Cheers.
Yusef Maali

Jon Jennings (jon100) wrote :

Similar results here to Yusef on an Intel D945GCLF Atom motherboard

I've md5sum checked the CD and run memtest - both fine.

Both x86 and amd64 versions of Ubuntu 8.04.1 desktop install fine.

But trying to install amd64 Ubuntu 8.10 alternate gives a kernel panic early in the process. Running "Check CD for defects" on that machine also produces a panic and sets the Caps Lock and Scroll Lock LEDs flashing.

I've upgraded my m/board BIOS to the latest 0103, slowed the memory timing, removed my PCI LAN card, disabled the onboard LAN... no change.

Given that amd64 8.04.1 was fine (on this hardware), should this be classed as a new bug rather than tacked on here?

I'm seeing two different screens when it crashes... first one is attached here.

Jon Jennings (jon100) wrote :

Here's the second crash screen

Yusef Maali (usef) wrote :

Please have a look also at bug #279186.
It seems to be more specific to Intel D945GCLF(2).

This bug report was marked as Confirmed a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Dossy Shiobara (dossy) wrote :

I can confirm that this bug still exists in Jaunty, linux-image-2.6.28-15-generic (2.6.28-15.49).

I see there's a jaunty-updates 2.6.28-15.52 which I am going to try now.

JoeJoe (joen40) wrote :

Try to install Ubuntu 9.10 64-bit on ESX 3.5. Problem appears after selecting to install ubuntu from the boot menu.
Error received: PANIC: early exception 0e rip 10:ffffffff8186a52b error 0 cr2 fffffffeff44003d

Hardware Running: ESX 3.5 Host
4 CPU
12136 MB
80GB Hard Disk

Alvin (alvind) wrote :

I have this bug on Karmic, after running for a few months. Did it came with the latest kernel here? (Can't see the version due to inability to boot.)
Because the error is the only thing that was seen at boot, I have switched the board under warranty, but the new board also shows the error, so It's probably the kernel.

Alvin (alvind) wrote :

Ok, I did a small bit of testing with BIOS settings. Can anyone confirm my first tests:
- Panic with Intel 'Trusted Execution' enabled
- No panic with Intel 'Trusted Execution' disabled
I have only rebooted 6 times, but so far this is pointing in the direction of a BIOS setting.

Alvin (alvind) wrote :

This was 'fixed' for my by replacing the motherboard, cpu and memory. The system does not panic anymore, even with Trusted Execution enabled, so disregard my previous message.

Thank you for reporting this bug.

Does this occur on Lucid?

Joe (joe-shevland) wrote :

  On 14/09/2010 5:43 PM, rusivi1 wrote:
> Thank you for reporting this bug.
>
> Does this occur on Lucid?
>

Sorry I'm not sure, I ended up putting FreeBSD on the server. A side
'want' was also a performant ZFS which I think due to the GPL hasn't
happened that well in Ubuntu, so decided to go FBSD. If there's an ISO I
can help test though let me know (as long as it doesn't mess with
current disks).

Cheers
Joe

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu development release http://cdimage.ubuntu.com/daily-live/current/ . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

Changed in linux (Ubuntu):
assignee: Ubuntu AMD64 Porting Team (ubuntu-amd64) → nobody
tags: added: kj-expired
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers